Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::view::remove_fn Struct Reference

## Synopsis of methods
constexpr view< addressof_fn > | addressof {}
constexpr view< remove_fn > | remove {}

## Public Types
template<typename Rng , typename Value , typename Proj >
using | Constraint = meta::and_< MoveConstructible< Value >, remove_if_fn::Constraint< Rng, pred< Value >, Proj > >

## Public Member Functions
template<typename Rng , typename Value , typename Proj = ident, requires = (Constraint<Rng, Value, Proj>())>
auto | operator() (Rng &&rng, Value value, Proj proj=Proj{}) const noexcept(noexcept(decltype(remove_if(all(static_cast< Rng && >(rng)), pred< Value >{std::move(value)}, std::move(proj)))(remove_if(all(static_cast< Rng && >(rng)), pred< Value >{std::move(value)}, std::move(proj))))) -> decltype(remove_if(all(static_cast< Rng && >(rng)), pred< Value >
| std::move (proj)))